//Ex3_182.cpp
#include "iostream" 
using namespace std;
void main() 
{int m,n,t; 
 cout<<"اًتلبً m n:"; 
 cin>>m>>n; 
 if(m<n) {t=m;m=n;n=t;}
 t=m*n;
 while (m!=n) 
	if (m>n) m=m-n;
	else n=n-m;
 cout<<"gcd:"<<n<<",lcm:"<<t/n<<endl; 
}
